Unit IAH3R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure IAH3R(A :Real; B :Real; var C :Array of Real; N :Integer;
                X :Real; var RES :Real);

implementation

procedure IAH3R(A :Real; B :Real; var C :Array of Real; N :Integer;
                X :Real; var RES :Real);
var
J,JN2 :Integer;
D,DD,Y,Y2,SV :Real;
label
_10;
begin
D := 0.0;
DD := 0.0;
Y := (2*X-A-B)/(B-A);
Y2 := 2.0*Y;
for J:=2 to N do
 begin
  SV := D;
  JN2 := N+2-J;
  D := Y2*D-DD+C[JN2-1];
  DD := SV;
_10:
 end;
RES := Y*D-DD+0.5*C[0];
end;

end.
